package io.renren.modules.business.service;

import com.baomidou.mybatisplus.extension.service.IService;
import io.renren.common.utils.PageUtils;
import io.renren.modules.business.entity.BusinessProjectEntity;

import java.util.List;
import java.util.Map;

/**
 * 立项管理
 *
 * @author jiaqiao
 * @email jiaqiao@163.com
 * @date 2022-08-21 15:36:25
 */
public interface BusinessProjectService extends IService<BusinessProjectEntity> {

    PageUtils queryPage(Map<String, Object> params);

    List<BusinessProjectEntity> querySearchList(Map<String, Object> params);

    /**
     * 根据ids获取所有的项目信息
     * @param ids
     * @return
     */
    List<BusinessProjectEntity> queryPerojectList(String ids);

    /**
     * 更改合同标志状态isContract变成是
     * @param ids
     */
    void changeState(String[] ids);

    /**
     * 更改合同标志状态isContract变成否
     * @param ids
     */
    void channelState(String[] ids);

    /**
     * 获取统计的数值
     * @param params
     * @return
     */
    List<Map<String,Object>> getTotal(Map<String, Object> params);

    /**
     * 立项负责工人idList
     * @return
     */
    List<Integer> ddIdList();

    /**
     * 获取所有的立项列表
     * @return
     */
    List<BusinessProjectEntity> allList();

    /**
     * 立项详情
     * @param id
     * @return
     */
    BusinessProjectEntity projectInfo(Integer id);

    /**
     * 获取所有list 状态为0
     * @param params
     * @return
     */
    List<BusinessProjectEntity> quaryListNoPage(Map<String, Object> params);
}

